<GlobalFunctions>
  <SqlQueryUnified
    id="getInventory"
    isMultiplayerEdited={false}
    notificationDuration={4.5}
    query={include("./lib/getInventory.sql", "string")}
    resourceDisplayName="retool_db"
    resourceName="e2fd0f4f-0fd6-4db2-9df5-7aac7c9af3ab"
    showSuccessToaster={false}
    showUpdateSetValueDynamicallyToggle={false}
    updateSetValueDynamically={true}
    warningCodes={[]}
  />
  <SqlQueryUnified
    id="getTableSize"
    query={include("./lib/getTableSize.sql", "string")}
    resourceDisplayName="retool_db"
    resourceName="e2fd0f4f-0fd6-4db2-9df5-7aac7c9af3ab"
    warningCodes={[]}
  />
  <SqlQueryUnified
    id="updateInventory"
    actionType="UPDATE_BY"
    changeset={
      '[{"key":"quantity","value":"{{table1.changesetArray[\'0\'].quantity}}"}]'
    }
    editorMode="gui"
    filterBy={
      '[{"key":"id","value":"{{table1.changesetArray[\'0\'].id}}","operation":"="}]'
    }
    resourceDisplayName="retool_db"
    resourceName="e2fd0f4f-0fd6-4db2-9df5-7aac7c9af3ab"
    runWhenModelUpdates={false}
    tableName="inventory"
  >
    <Event
      event="success"
      method="trigger"
      params={{ ordered: [] }}
      pluginId="getInventory"
      type="datasource"
      waitMs="0"
      waitType="debounce"
    />
  </SqlQueryUnified>
  <SqlQueryUnified
    id="deleteInventory"
    actionType="DELETE_BY"
    confirmationMessage="## Are you sure you want to delete inventory item SKU: {{table1.selectedRow.sku}}?"
    editorMode="gui"
    filterBy={
      '[{"key":"id","value":"{{table1.selectedRow.id}}","operation":"="}]'
    }
    requireConfirmation={true}
    resourceDisplayName="retool_db"
    resourceName="e2fd0f4f-0fd6-4db2-9df5-7aac7c9af3ab"
    runWhenModelUpdates={false}
    tableName="inventory"
  >
    <Event
      event="success"
      method="trigger"
      params={{ ordered: [] }}
      pluginId="getInventory"
      type="datasource"
      waitMs="0"
      waitType="debounce"
    />
  </SqlQueryUnified>
  <WorkflowRun
    id="initiateReorderWorkflow"
    resourceName="WorkflowRun"
    workflowId="437b06ac-a1c5-4134-b476-47cf3692ab95"
    workflowParams={include("./lib/initiateReorderWorkflow.json", "string")}
    workflowRunBodyType="json"
  />
</GlobalFunctions>
